#include "bug.h"
#include "debuggers.h"
#include <iostream>
#include <random>

namespace pabloader {
Bonus::Bonus(Debuggers* game)
    : Entity(game, &game->bonusesSprite)
{
    tileCols = 1;
    tileRows = 3;
#ifdef _DEBUG
    DEBUG_COLOR = olc::YELLOW;
#endif
}

BonusType Bonus::GetType()
{
    return static_cast<BonusType>(tileX * 4 + tileY);
}

void Bonus::ResetPosition()
{
    Entity::ResetPosition();
    rotation = 0;
    rotationSpeed = 0;
}
}